sha256.h File Reference

SHA-256 hash API. More...

## Data Structures

struct | sha256_context

## Macros

#define | SHA256_DIGEST_SIZE 32

## Functions

void | sha256_init (sha256_context *md)
void | sha256_process (sha256_context *md, const uint8_t *in, size_t inlen)
void | sha256_done (sha256_context *md, uint8_t *out)
void | sha256_hash (const uint8_t *data, size_t len, uint8_t *digest)

## Detailed Description

SHA-256 hash API.

## Macro Definition Documentation

## SHA256_DIGEST_SIZE

#define SHA256_DIGEST_SIZE 32

## Function Documentation

## sha256_init()

void sha256_init | ( | sha256_context * | md | ) |

## sha256_process()

void sha256_process | ( | sha256_context * | md,
|  | const uint8_t * | in,
|  | size_t | inlen
| ) |  |

## sha256_done()

void sha256_done | ( | sha256_context * | md,
|  | uint8_t * | out
| ) |  |

## sha256_hash()

void sha256_hash | ( | const uint8_t * | data,
|  | size_t | len,
|  | uint8_t * | digest
| ) |  |